RHEL 7 : firefox (RHSA-2019:1603)

critical Nessus Plugin ID 126251

Synopsis

The remote Red Hat host is missing one or more security updates for firefox.

Description

The remote Redhat Enterprise Linux 7 host has a package installed that is affected by multiple vulnerabilities as referenced in the RHSA-2019:1603 advisory.

- Mozilla: Type confusion in Array.pop (CVE-2019-11707)

- Mozilla: Sandbox escape using Prompt:Open (CVE-2019-11708)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL firefox package based on the guidance in RHSA-2019:1603.

See Also

http://www.nessus.org/u?4fca24dc

https://www.mozilla.org/en-US/security/advisories/mfsa2019-18/

https://www.mozilla.org/en-US/security/advisories/mfsa2019-19/

https://access.redhat.com/errata/RHSA-2019:1603

https://access.redhat.com/security/updates/classification/#critical

https://bugzilla.redhat.com/show_bug.cgi?id=1721789

https://bugzilla.redhat.com/show_bug.cgi?id=1722673

Plugin Details

Severity: Critical

ID: 126251

File Name: redhat-RHSA-2019-1603.nasl

Version: 1.12

Type: local

Agent: unix

Published: 6/26/2019

Updated: 4/27/2024

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

Risk Information

VPR

Risk Factor: Critical

Score: 9.2

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 8.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2019-11708

CVSS v3

Risk Factor: Critical

Base Score: 10

Temporal Score: 9.3

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:firefox, cpe:/o:redhat:enterprise_linux:7

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 6/25/2019

Vulnerability Publication Date: 7/23/2019

CISA Known Exploited Vulnerability Due Dates: 6/13/2022

Reference Information

CVE: CVE-2019-11707, CVE-2019-11708

CWE: 270, 843

RHSA: 2019:1603